part of 'supply_bloc.dart';

abstract class SupplyState extends Equatable {
  const SupplyState();

  @override
  List<Object> get props => [];
}

class SupplyInitial extends SupplyState {}

class SupplyFailure extends SupplyState {}

class SupplySuccess<T> extends SupplyState {
  final List<T> items;

  const SupplySuccess({required this.items});

  SupplySuccess copyWith({required List<T> items}) {
    return SupplySuccess(items: items ?? this.items);
  }

  @override
  List<Object> get props => [items];
}
